# include <stdio.h>
# include <stdlib.h>
# include <math.h>
#include "syr_bd.h"
#include "syr_meteo.h"
#include "syr_hmt_bd.h"
#include "syr_abs.h"
#include "syr_option.h"
#include "syr_const.h"
#include "syr_fluid0d.h"
#include "syr_fluid1d.h"
#include "syr_parall.h"

#include "syr_user_fct.h"


/*******************************************************************/ 
void user_cini_fct(struct Maillage maillnodes,double *t)
/*******************************************************************/ 
{
}
/*******************************************************************/ 
void user_cphyso_fct(struct Maillage maillnodes,
                     double *tmps,struct Prophy physol,double tempss)
/*******************************************************************/ 
{
}
/*******************************************************************/ 
void user_limfso_fct(struct Maillage maillnodes,struct MaillageBord maillnodebord,
                     struct MaillageCL maillnodeus,
                     double *var,struct Clim diric,struct Clim flux,
                     struct Clim echang,struct Clim rayinf,double tempss)
/*******************************************************************/ 
{
}
/*******************************************************************/ 
void user_cfluvs_fct(struct Maillage maillnodes,
                     double *t,struct Cvol fluxvol_t,double tempss)
/*******************************************************************/ 
{
  int i,j,ne,nr;
  double x,y,z,T,tt;

  tt=tempss;

  for (i=0;i<fluxvol_t.nelem;i++) 
    { 
     data_element_moy(fluxvol_t.nume[i],maillnodes,t,&nr,&x,&y,&z,&T);
     if (nr== 1) {
        fluxvol_t.val1[i]=0; 
        fluxvol_t.val2[i]=421297; 
     } 
    } 

}
/*******************************************************************/ 
void user_rescon_fct(struct Maillage maillnodes,struct MaillageCL maillnodeus,
	  	           double *t,double *tcor,struct Contact rescon,double tempss,
		           struct SDparall sdparall)
/*******************************************************************/ 
{
}
/************************************************************************/ 
void user_hmt_cini_fct(struct Maillage maillnodes,
		             double *t,double *pv,double *pt)
/************************************************************************/ 
{
}
/*******************************************************************/ 
void user_hmt_limfso_fct(struct Maillage maillnodes,struct MaillageCL maillnodeus,
	                       double *t,double *pv,double *pt,
	                       struct HmtClimhhh hmtclimhhh,struct Clim rayinf,double tempss)
/*******************************************************************/ 
{
}
/************************************************************************/ 
void user_hmt_cfluvs_fct(struct Maillage maillnodes,
			 double *t, struct Cvol fluxvol_t ,
			 double *pv,struct Cvol fluxvol_pv,
			 double *pt,struct Cvol fluxvol_pt,double tempss)
/************************************************************************/ 
{
}
/*******************************************************************/ 
void user_hmt_rescon_fct(struct Maillage maillnodes,struct MaillageCL maillnodeus,
		               double *t,double *pv,double *pt,
    	               double *tcor,double *pvcor,double *ptcor,
		               struct Contact rescon,double tempss,
		               struct SDparall sdparall)
/*******************************************************************/ 
{
}
/*******************************************************************/ 
void user_fluid1d_entrees_fct(struct Maillage maillnodef1d, struct Entreef1d entreef1d,
	                            double *dtf,double tempsf) 
/*******************************************************************/ 
{
  int i;
  double tt;

  tt=tempsf;

}
/*******************************************************************/ 
void user_fluid1d_cini_fct(struct Maillage maillnodef1d,
	                         double *tf,double *vf,double *pf,double tempsf) 
/*******************************************************************/ 
{}
/*******************************************************************/ 
void user_fluid1d_cphy_fct(struct Maillage maillnodef1d,struct Prophyf1d phyf1d,
	                         double *tf,double *vf,double *pf,double tempsf) 
/*******************************************************************/ 
{}
/*******************************************************************/ 
void user_fluid1d_fluv_fct(struct Maillage maillnodef1d,struct Climvolf1d cvolf1d,
	                         double *tf,double *vf,double *pf,double tempsf) 
/*******************************************************************/ 
{}
/*******************************************************************/ 
void user_fluid1d_clim_fct(struct Maillage maillnodef1d,
	                         struct Climvolf1d  echf1d,struct Climvolf1d fimpf1d,
	                         double *tf,double *vf,double *pf,double tempsf) 
/*******************************************************************/ 
{}
/*******************************************************************/ 
void user_fluid0d_cphy_fct(struct Fluid0d fluid0d, double tempsf) 
/*******************************************************************/ 
{}
/*******************************************************************/ 
void user_fluid0d_fluv_fct(struct Fluid0d fluid0d, double tempsf) 
/*******************************************************************/ 
{}
/***************************************************************************************/ 
void user_fluid0d_clim_fct(struct Maillage maillnodes,struct MaillageBord maillnodebord,
	                         struct MaillageCL maillnodeus,double *t,
	                         struct Clim0D  ech0d,double tempsf) 
/***************************************************************************************/ 
{}
/*******************************************************************/ 
void user_fluid0d_vent_fct(struct Fluid0d fluid0d,
		       struct PasDeTemps *pasdetemps,
		       struct Meteo meteo,struct Myfile myfile)
/*******************************************************************/ 
{}
/*******************************************************************/ 
void user_transfo_perio_fct(int ndim,
                            int nb1,int *iref,
                            double x,double y,double z,
                            double *xt, double *yt, double *zt)
/*******************************************************************/ 
{
}
/*******************************************************************/ 
void user_ray_ftc(struct Maillage maillnodray,
                  double *tmpray,struct ProphyRay phyray,
                  struct PropInfini *propinf,struct Clim fimpray,struct Vitre vitre,
                  double tempss)
/*******************************************************************/ 
{
}
/*******************************************************************/ 
void user_solaire_fct(double *fdirect,double *fdiffus, int nbande,double tempss)
/*******************************************************************/ 
{
}
/*******************************************************************/ 
void user_propincidence_fct(int n,int nbande,double teta,
                            double **e,double **r,double **a,double **t,
                            double **emissi,double **reflec,
                            double **absorp,double **transm)
/*******************************************************************/ 
{
}
