#!/bin/bash

# Make sure to transmit possible additional arguments assigned by mpirun.
# we use $@ to forward arguments passed to this script to the executable files.

MPI_RANK=`/home/alarat/Codes/Carambarre/libs/code_saturne-8.0.4/share/code_saturne/runcase_mpi_rank $@`
if [ $MPI_RANK -lt 1 ] ; then
  cd /home/alarat/Codes/Carambarre/etudes/CarambarreModeleFin_Coupled/RESU_COUPLING/20250630-1733/FLUID
  ./cs_solver --trace  --mpi --app-name FLUID $@
elif [ $MPI_RANK -lt 2 ] ; then
  cd /home/alarat/Codes/Carambarre/etudes/CarambarreModeleFin_Coupled/RESU_COUPLING/20250630-1733/SOLID
  source /home/alarat/SRC/syrthes5.0/arch/Linux_x86_64/bin/syrthes.profile > /dev/null 2>&1
  ./syrthes -d tmp.data -n 1 --name SOLID --log listing $@
fi
CS_RET=$?
exit $CS_RET
